libgnomecanvasmm-2.6-1v5_2.26.0-3_i386.deb


Advertisement

Description

libgnomecanvasmm-2.6-1v5 - C++ wrappers for libgnomecanvas2 (shared library)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgnomecanvasmm-2.6-1v5_2.26.0-3_i386.deb
Package name libgnomecanvasmm-2.6-1v5
Package version 2.26.0
Package release 3
Package architecture i386
Package type deb
Category oldlibs role::shared-lib
Homepage http://www.gtkmm.org/
License -
Maintainer Adrian Bunk <bunk@debian.org>
Download size 65.54 KB
Installed size 275.00 KB
libgnomecanvas is a high-level, structured graphics
library. libgnomecanvasmm is the C++ wrapper for libgnomecanvas.
This package contains shared libraries.
This package is for legacy applications and no longer used by GNOME.

Alternatives

Package Version Architecture Repository
libgnomecanvasmm-2.6-1v5_2.26.0-3_amd64.deb 2.26.0 amd64 Debian Main
libgnomecanvasmm-2.6-1v5 - - -

Requires

Name Value
libart-2.0-2 >= 2.3.17
libatk1.0-0 >= 1.12.4
libatkmm-1.6-1v5 >= 2.24.0
libc6 >= 2.4
libcairo2 >= 1.2.4
libcairomm-1.0-1v5 >= 1.12.0
libfontconfig1 >= 2.12.6
libfreetype6 >= 2.2.1
libgcc1 >= 1:3.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.16.0
libglibmm-2.4-1v5 >= 2.54.0
libgnomecanvas2-0 >= 2.11.1
libgtk2.0-0 >= 2.8.0
libgtkmm-2.4-1v5 >= 1:2.24.0
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libpangomm-1.4-1v5 >= 2.40.0
libsigc++-2.0-0v5 >= 2.2.0
libstdc++6 >= 5

Conflicts

Name Value
libgnomecanvasmm-2.6-1 -
libgnomecanvasmm-2.6-1c2 -
libgnomecanvasmm-2.6-1c2a -

Replaces

Name Value
libgnomecanvasmm-2.6-1 -
libgnomecanvasmm-2.6-1c2 -
libgnomecanvasmm-2.6-1c2a -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgnomecanvasmm-2.6-1v5_2.26.0-3_i386.deb
Source Package libgnomecanvasmm2.6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgnomecanvasmm-2.6-1v5 deb package:
    # sudo apt-get install libgnomecanvasmm-2.6-1v5

Files

Path
/usr/lib/libgnomecanvasmm-2.6.so.1
/usr/lib/libgnomecanvasmm-2.6.so.1.0.6
/usr/share/doc/libgnomecanvasmm-2.6-1v5/AUTHORS
/usr/share/doc/libgnomecanvasmm-2.6-1v5/NEWS.gz
/usr/share/doc/libgnomecanvasmm-2.6-1v5/README
/usr/share/doc/libgnomecanvasmm-2.6-1v5/TODO
/usr/share/doc/libgnomecanvasmm-2.6-1v5/changelog.Debian.gz
/usr/share/doc/libgnomecanvasmm-2.6-1v5/changelog.gz
/usr/share/doc/libgnomecanvasmm-2.6-1v5/copyright

Changelog

2018-08-31 - Adrian Bunk <bunk@debian.org>
libgnomecanvasmm2.6 (2.26.0-3) unstable; urgency=medium
* New maintainer. (Closes: #885803)
* Move all packages to Section: oldlibs.
* Update the package descriptions for the deprecated status.
* debhelper compat 6 -> 7.
2015-08-22 - Simon McVittie <smcv@debian.org>
libgnomecanvasmm2.6 (2.26.0-2) unstable; urgency=low
* Team upload.
[ Josselin Mouette ]
* Drop .la file, it’s not referenced anywhere anymore.
* Update repository URL.
[ Emilio Pozuelo Monfort ]
* debian/control.in,
debian/rules:
+ Remove the chrpath hack, it's been fixed in libtool.
[ Simon McVittie ]
* Acknowledge NMU by Steve McIntyre
* Use 3.0 (quilt) source format instead of deprecated cdbs simple-patchsys
* Move the library and the source package to oldlibs. The underlying
libgnomecanvas has been deprecated for years.
* Rename library package for the libstdc++ transition. It isn't 100%
clear to me whether the ABI actually breaks here, but the conservative
assumption is that it does (due to GLib::ustring, which embeds
a std::string).
* Remove useless *.md5 files from Doxygen docs
* Remove obsolete Dm-Upload-Allowed field from debian/control
2014-10-05 - Steve McIntyre <93sam@debian.org>
libgnomecanvasmm2.6 (2.26.0-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Update libtool at build time using dh-autoreconf, in order to fix
build failures on new arches. Closes: #702356,#744610. Thanks to
Daniel Schepler for the patch.
2009-05-16 - Deng Xiyue <manphiz-guest@users.alioth.debian.org>
libgnomecanvasmm2.6 (2.26.0-1) unstable; urgency=low
* New upstream stable release.
* Upload to unstable, drop check-dist.mk.
* Target unstable branch in VCS-*.
* Track stable releases in debian/watch.
* Update Standard-Version to 3.8.1.
* Update debian/copyright to conform to latest DEP 5 proposal
+ Add missing copyright statement.
+ Point to versioned license files.
2009-03-05 - Deng Xiyue <manphiz-guest@users.alioth.debian.org>
libgnomecanvasmm2.6 (2.23.1-1) experimental; urgency=low
[ Deng Xiyue ]
* Add dpkg-dev >= 1.14.16 to Build-Depends for DM usage.
* Remove doc-base from Build-Depends as it's not b-deped on.
* Add ${shlibs:Depends} to all Depends fields as recommended.
* Use machine-interpretable format for debian/copyright.
[ Loic Minier ]
* Properly anchor package name regexp.
[ Deng Xiyue ]
* New upstream development release.
+ Update SHVER to 2.23.1 due to new API addition.
* `make -C examples clean` after `make install` to prevent shipping
unexpected files.
* Add check-dist.mk to prevent unexpected upload.
* Track development releases in debian/watch.
* Update Standard-Version to 3.8.0.  No change needed.
* Track experimental branch in Vcs-*.
* Use viewsvn in Vcs-Browser.

See Also

Package Description
libgnomecanvasmm-2.6-dev_2.26.0-3_i386.deb C++ wrappers for libgnomecanvas2 (development files)
libgnomecanvasmm-2.6-doc_2.26.0-3_all.deb C++ wrappers for libgnomecanvas2 (documentation)
libgnomekbd-common_3.26.1-1_all.deb GNOME library to manage keyboard configuration - common files
libgnomekbd-dev_3.26.1-1_i386.deb GNOME library to manage keyboard configuration - development files
libgnomekbd8_3.26.1-1_i386.deb GNOME library to manage keyboard configuration - shared library
libgnuastro-dev_0.8-1_i386.deb GNU Astronomy Utilities development files
libgnuastro6_0.8-1_i386.deb GNU Astronomy Utilities shared libraries
libgnucap-dev_0.36~20171003-1_i386.deb GNU Circuit Analysis package, development library
libgnucap0_0.36~20171003-1_i386.deb GNU Circuit Analysis package, the library
libgnudatalanguage0_0.9.9-10_i386.deb Free IDL compatible incremental compiler shared library
libgnupg-interface-perl_0.52-10_all.deb Perl interface to GnuPG
libgnupg-perl_0.19-3_all.deb interface to GnuPG 1.4 using its coprocess interface
libgnuplot-iostream-dev_0~20140302.gitc8919a0+dfsg-3_all.deb C++ programming interface for gnuplot. Headers
libgnuplot-iostream-doc_0~20140302.gitc8919a0+dfsg-3_all.deb C++ programming interface for gnuplot. Docs and examples
libgnuplot-ocaml-dev_0.8.3-3+b3_i386.deb OCaml interface to the gnuplot utility
Advertisement
Advertisement